Name:           mediastreamer
Version:        2.8.2
Release:        1%{?dist}
Summary:        A media streaming library for telephony applications

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.linphone.org/eng/documentation/dev/mediastreamer2.html
Source0:        http://download.savannah.gnu.org/releases/linphone/mediastreamer/%{name}-%{version}.tar.gz
Patch0:         mediastreamer-2.7.3-videodev.patch
Patch1:         mediastreamer-2.8.0-unusedresult.patch

BuildRequires:  alsa-lib-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  gsm-devel
BuildRequires:  libXv-devel
BuildRequires:  libtheora-devel
BuildRequires:  libv4l-devel
BuildRequires:  libvpx-devel
BuildRequires:  openssl-devel
BuildRequires:  ortp-devel >= 1:0.20.0
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  speex-devel
BuildRequires:  spandsp-devel
BuildRequires:  intltool

Requires:       ortp >= 1:0.20.0

Conflicts:      linphone

%description
Mediastreamer2 is a GPL licensed library to make audio and video
real-time streaming and processing. Written in pure C, it is based
upon the oRTP library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ortp-devel%{?_isa}

Conflicts:      linphone-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

# use {_libdir}/mediastreamer/images/ path for nowebcamCIF.jpg
sed -i 's|${package_prefix}/share|${datadir}|g' configure

%if 0%{?fedora} >= 15
%patch0 -p1 -b .videodev
%endif

%patch1 -p1 -b .unusedresult

%build
%configure --disable-static \
           --enable-strict \
           --enable-ipv6 \
           --enable-video \
           --enable-alsa \
           --enable-xv \
           --enable-external-ortp \
           --datadir=%{_libdir}/%{name}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/mediastream
%{_libdir}/%{name}
%{_libdir}/libmediastreamer.so.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/mediastreamer2
%{_libdir}/libmediastreamer.so
%{_libdir}/pkgconfig/mediastreamer.pc


%changelog
* Sun Feb 19 2012 Alexey Kurov <nucleo@fedoraproject.org> - 2.8.1-1
- mediastreamer-2.8.1

* Mon Dec 26 2011 Alexey Kurov <nucleo@fedoraproject.org> - 2.8.0-1
- mediastreamer-2.8.0
- add BR: spandsp-devel intltool

* Tue Mar 29 2011 Alexey Kurov <nucleo@fedoraproject.org> - 2.7.3-1
- Initial RPM release
